#procedure BNtoBM (p1,p2,p3,p4,p5,p6,x3,x4,x5,x6)

* Changes the notation of the BM's which result when reducing BN.
*
* n6>=1 (after "symBN.prc" is used)
* There are several possibilities for the other n's:
*
* n3=0: 
*      n5!=0 (otherwise the result is ==0)
*      n4=0 or n4!=0 possible
* n4=0:
*      n5!=0 (otherwise the result is ==0)
*      n3=0  (because of "symBN.prc")
*      (-> see case n3=0)
* n5=0:
*      n3!=0 and n4!=0 (otherwise the result is ==0)
*
* So there are two different cases needed: n3=0 or n5=0.

id `x3'^n3?neg_=(`p3'.`p3'+M^2)^(-n3);
id `x4'^n4?neg_=(`p4'.`p4'+M^2)^(-n4);
id `x5'^n5?neg_=(`p5'.`p5'+M^2)^(-n5);
id `x6'^n6?neg_=(`p6'.`p6'+M^2)^(-n6);
.sort

if((count(`x3',1) = 0) &&
   (count(`x4',1) >= 0)&&(count(`x5',1) >= 0)&&(count(`x6',1) >= 0) 
  ); 
   id `p3'=`p6'-`p1';
   multiply replace_(`p2',`p3',`x6',`x5',`x5',`x4',`x4',`x6',
                     `p6',`p5',`p5',`p4',`p4',`p6');
   id `p1'=-`p1';
elseif((count(`x5',1) = 0)&&
   (count(`x3',1) >= 0)&&(count(`x4',1) >= 0)&&(count(`x6',1) >= 0) 
   ); 
   id `p5'=`p2'+`p3';
   multiply replace_(`p1',`p3',`p2',`p1',`x3',`x5',
                     `p3',`p5');
endif;

#endprocedure;
