#!/usr/bin/tcsh

# ./run.sh <loops>

set loops = ${1}

cd /users/ttp/ms/form3/matad3_pub/calc3

if ($loops == 1) then
  echo "... 1 loop"
  ../startform3 -S form.set -d CLASS=c_pi -d PROBLEM=pi -d LOOPS=1 -d DIAFILE=d1l.dia\
                            -d RESDIR=results -d DIAGRAM=d1l1 generic/maindia.frm > log1.log

  ../startform3 -S form.set -d CLASS=c_pi -d PROBLEM=pi -d LOOPS=1 -d DIAFILE=d1l.dia\
                            -d RESDIR=results -d START=1 -d END=1 generic/comdia.frm
endif

if ($loops == 2) then
  echo "... 2 loops"
  set i = 1
  while ($i <= 3)
    echo -n "$i "
    ../startform3 -S form.set -d CLASS=c_pi -d PROBLEM=pi -d LOOPS=2 -d DIAFILE=d2l.dia\
                              -d RESDIR=results -d DIAGRAM=d2l${i} generic/maindia.frm > log2.log
    @ i++
  end

  ../startform3 -S form.set -d CLASS=c_pi -d PROBLEM=pi -d LOOPS=2 -d DIAFILE=d2l.dia\
                            -d RESDIR=results -d START=1 -d END=3 generic/comdia.frm
endif

if ($loops == 3) then
  echo "... 3 loops"
  set i = 1
  while ($i <= 33)
    echo -n "$i "
    ../startform3 -S form.set -d CLASS=c_pi -d PROBLEM=pi -d LOOPS=2 -d DIAFILE=d3l.dia\
                              -d RESDIR=results -d DIAGRAM=d3l${i} generic/maindia.frm > log3.log
    @ i++
  end

  ../startform3 -S form.set -d CLASS=c_pi -d PROBLEM=pi -d LOOPS=3 -d DIAFILE=d3l.dia\
                            -d RESDIR=results -d START=1 -d END=33 generic/comdia.frm
endif


cd /users/ttp/ms/form3/matad3_pub/calc3/problems/c_pi/pi
