#procedure two110(x,x1,y,y1,z,z1)

* 1/(p1.p1 + M^2) is "x" and 1/(p1.p1 + M^2)^ep  is "x1";
* 1/(p2.p2 + M^2) is "y" and 1/(p2.p2 + M^2)^ep  is "y1";
* 1/(p3.p3) is "z" and 1/p3.p3^ep  is "z1";

if ( (count(`x',1) <= 0) && (count(`x1',1) == 0) ) discard;
if ( (count(`y',1) <= 0) && (count(`y1',1) == 0) ) discard;

if ( count(`x1',1)  < count(`y1',1) ) multiply,replace_(`x',`y',`x1',`y1');

id `x'^k1?*`x1'^k2?*`y'^k3?*`y1'^k4?*`z'^k5?*`z1'^k6? = gm3(k1,k2,k3,k4,k5,k6);

id gm3(k1?,k2?,k3?,k4?,k5?,k6?) =
                    po(2 - k5    ,      -k6 - 1)
                   *po(k1 + k5 - 2, k2 + k6 + 1)
                   *po(k3 + k5 - 2, k4 + k6 + 1)
                   *po(k1 + k3 + k5 - 4, 2 + k2 +  k4 + k6)
                   *poinv(k1                ,k2)
                   *poinv(k3                ,k4)
                   *poinv(k1 + k3 + 2*k5 - 4,2 + k2 +k4 + 2*k6)
                   *(1 + k2 + k6)
                   *(1 + k4 + k6)
                   *(-1)*nom(1 ,-(2 + k2 + k4 + k6))
                        *(2 + k2 + k4 + k6)
                   /(2 + k2 + k4 + 2*k6)
                   *nom(0,1)*nom(0,1)
                   *M^(8 - 2*k1 - 2*k3 - 2*k5)
                   *gm3norm(k2,k4,k6)
                   ;

#endprocedure
